*, ::before, ::after {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-gradient-from-position:  ;
  --tw-gradient-via-position:  ;
  --tw-gradient-to-position:  ;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
  --tw-contain-size:  ;
  --tw-contain-layout:  ;
  --tw-contain-paint:  ;
  --tw-contain-style:  ;
}

::backdrop {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-gradient-from-position:  ;
  --tw-gradient-via-position:  ;
  --tw-gradient-to-position:  ;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
  --tw-contain-size:  ;
  --tw-contain-layout:  ;
  --tw-contain-paint:  ;
  --tw-contain-style:  ;
}

/*
! tailwindcss v3.4.19 | MIT License | https://tailwindcss.com
*/

/*
1. Prevent padding and border from affecting element width. (https://github.com/mozdevs/cssremedy/issues/4)
2. Allow adding a border to an element by just adding a border-width. (https://github.com/tailwindcss/tailwindcss/pull/116)
*/

*,
::before,
::after {
  box-sizing: border-box;
  /* 1 */
  border-width: 0;
  /* 2 */
  border-style: solid;
  /* 2 */
  border-color: #e5e7eb;
  /* 2 */
}

::before,
::after {
  --tw-content: '';
}

/*
1. Use a consistent sensible line-height in all browsers.
2. Prevent adjustments of font size after orientation changes in iOS.
3. Use a more readable tab size.
4. Use the user's configured `sans` font-family by default.
5. Use the user's configured `sans` font-feature-settings by default.
6. Use the user's configured `sans` font-variation-settings by default.
7. Disable tap highlights on iOS
*/

html,
:host {
  line-height: 1.5;
  /* 1 */
  -webkit-text-size-adjust: 100%;
  /* 2 */
  -moz-tab-size: 4;
  /* 3 */
  -o-tab-size: 4;
     tab-size: 4;
  /* 3 */
  font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  /* 4 */
  font-feature-settings: normal;
  /* 5 */
  font-variation-settings: normal;
  /* 6 */
  -webkit-tap-highlight-color: transparent;
  /* 7 */
}

/*
1. Remove the margin in all browsers.
2. Inherit line-height from `html` so users can set them as a class directly on the `html` element.
*/

body {
  margin: 0;
  /* 1 */
  line-height: inherit;
  /* 2 */
}

/*
1. Add the correct height in Firefox.
2. Correct the inheritance of border color in Firefox. (https://bugzilla.mozilla.org/show_bug.cgi?id=190655)
3. Ensure horizontal rules are visible by default.
*/

hr {
  height: 0;
  /* 1 */
  color: inherit;
  /* 2 */
  border-top-width: 1px;
  /* 3 */
}

/*
Add the correct text decoration in Chrome, Edge, and Safari.
*/

abbr:where([title]) {
  -webkit-text-decoration: underline dotted;
          text-decoration: underline dotted;
}

/*
Remove the default font size and weight for headings.
*/

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}

/*
Reset links to optimize for opt-in styling instead of opt-out.
*/

a {
  color: inherit;
  text-decoration: inherit;
}

/*
Add the correct font weight in Edge and Safari.
*/

b,
strong {
  font-weight: bolder;
}

/*
1. Use the user's configured `mono` font-family by default.
2. Use the user's configured `mono` font-feature-settings by default.
3. Use the user's configured `mono` font-variation-settings by default.
4. Correct the odd `em` font sizing in all browsers.
*/

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  /* 1 */
  font-feature-settings: normal;
  /* 2 */
  font-variation-settings: normal;
  /* 3 */
  font-size: 1em;
  /* 4 */
}

/*
Add the correct font size in all browsers.
*/

small {
  font-size: 80%;
}

/*
Prevent `sub` and `sup` elements from affecting the line height in all browsers.
*/

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/*
1. Remove text indentation from table contents in Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=999088, https://bugs.webkit.org/show_bug.cgi?id=201297)
2. Correct table border color inheritance in all Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=935729, https://bugs.webkit.org/show_bug.cgi?id=195016)
3. Remove gaps between table borders by default.
*/

table {
  text-indent: 0;
  /* 1 */
  border-color: inherit;
  /* 2 */
  border-collapse: collapse;
  /* 3 */
}

/*
1. Change the font styles in all browsers.
2. Remove the margin in Firefox and Safari.
3. Remove default padding in all browsers.
*/

button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  /* 1 */
  font-feature-settings: inherit;
  /* 1 */
  font-variation-settings: inherit;
  /* 1 */
  font-size: 100%;
  /* 1 */
  font-weight: inherit;
  /* 1 */
  line-height: inherit;
  /* 1 */
  letter-spacing: inherit;
  /* 1 */
  color: inherit;
  /* 1 */
  margin: 0;
  /* 2 */
  padding: 0;
  /* 3 */
}

/*
Remove the inheritance of text transform in Edge and Firefox.
*/

button,
select {
  text-transform: none;
}

/*
1. Correct the inability to style clickable types in iOS and Safari.
2. Remove default button styles.
*/

button,
input:where([type='button']),
input:where([type='reset']),
input:where([type='submit']) {
  -webkit-appearance: button;
  /* 1 */
  background-color: transparent;
  /* 2 */
  background-image: none;
  /* 2 */
}

/*
Use the modern Firefox focus style for all focusable elements.
*/

:-moz-focusring {
  outline: auto;
}

/*
Remove the additional `:invalid` styles in Firefox. (https://github.com/mozilla/gecko-dev/blob/2f9eacd9d3d995c937b4251a5557d95d494c9be1/layout/style/res/forms.css#L728-L737)
*/

:-moz-ui-invalid {
  box-shadow: none;
}

/*
Add the correct vertical alignment in Chrome and Firefox.
*/

progress {
  vertical-align: baseline;
}

/*
Correct the cursor style of increment and decrement buttons in Safari.
*/

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto;
}

/*
1. Correct the odd appearance in Chrome and Safari.
2. Correct the outline style in Safari.
*/

[type='search'] {
  -webkit-appearance: textfield;
  /* 1 */
  outline-offset: -2px;
  /* 2 */
}

/*
Remove the inner padding in Chrome and Safari on macOS.
*/

::-webkit-search-decoration {
  -webkit-appearance: none;
}

/*
1. Correct the inability to style clickable types in iOS and Safari.
2. Change font properties to `inherit` in Safari.
*/

::-webkit-file-upload-button {
  -webkit-appearance: button;
  /* 1 */
  font: inherit;
  /* 2 */
}

/*
Add the correct display in Chrome and Safari.
*/

summary {
  display: list-item;
}

/*
Removes the default spacing and border for appropriate elements.
*/

blockquote,
dl,
dd,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
figure,
p,
pre {
  margin: 0;
}

fieldset {
  margin: 0;
  padding: 0;
}

legend {
  padding: 0;
}

ol,
ul,
menu {
  list-style: none;
  margin: 0;
  padding: 0;
}

/*
Reset default styling for dialogs.
*/

dialog {
  padding: 0;
}

/*
Prevent resizing textareas horizontally by default.
*/

textarea {
  resize: vertical;
}

/*
1. Reset the default placeholder opacity in Firefox. (https://github.com/tailwindlabs/tailwindcss/issues/3300)
2. Set the default placeholder color to the user's configured gray 400 color.
*/

input::-moz-placeholder, textarea::-moz-placeholder {
  opacity: 1;
  /* 1 */
  color: #9ca3af;
  /* 2 */
}

input::placeholder,
textarea::placeholder {
  opacity: 1;
  /* 1 */
  color: #9ca3af;
  /* 2 */
}

/*
Set the default cursor for buttons.
*/

button,
[role="button"] {
  cursor: pointer;
}

/*
Make sure disabled buttons don't get the pointer cursor.
*/

:disabled {
  cursor: default;
}

/*
1. Make replaced elements `display: block` by default. (https://github.com/mozdevs/cssremedy/issues/14)
2. Add `vertical-align: middle` to align replaced elements more sensibly by default. (https://github.com/jensimmons/cssremedy/issues/14#issuecomment-634934210)
   This can trigger a poorly considered lint error in some tools but is included by design.
*/

img,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block;
  /* 1 */
  vertical-align: middle;
  /* 2 */
}

/*
Constrain images and videos to the parent width and preserve their intrinsic aspect ratio. (https://github.com/mozdevs/cssremedy/issues/14)
*/

img,
video {
  max-width: 100%;
  height: auto;
}

/* Make elements with the HTML hidden attribute stay hidden by default */

[hidden]:where(:not([hidden="until-found"])) {
  display: none;
}

.container {
  width: 100%;
}

@media (min-width: 640px) {
  .container {
    max-width: 640px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}

@media (min-width: 1024px) {
  .container {
    max-width: 1024px;
  }
}

@media (min-width: 1280px) {
  .container {
    max-width: 1280px;
  }
}

@media (min-width: 1536px) {
  .container {
    max-width: 1536px;
  }
}

.pointer-events-none {
  pointer-events: none;
}

.fixed {
  position: fixed;
}

.absolute {
  position: absolute;
}

.relative {
  position: relative;
}

.-left-10 {
  left: -2.5rem;
}

.-left-16 {
  left: -4rem;
}

.-left-5 {
  left: -1.25rem;
}

.-left-8 {
  left: -2rem;
}

.-left-\[30px\] {
  left: -30px;
}

.-left-\[5\%\] {
  left: -5%;
}

.-right-7 {
  right: -1.75rem;
}

.-right-9 {
  right: -2.25rem;
}

.-top-24 {
  top: -6rem;
}

.-top-\[2\.5rem\] {
  top: -2.5rem;
}

.-top-\[20px\] {
  top: -20px;
}

.-top-\[3\.5rem\] {
  top: -3.5rem;
}

.-top-\[4\.5rem\] {
  top: -4.5rem;
}

.-top-\[40\%\] {
  top: -40%;
}

.bottom-0 {
  bottom: 0px;
}

.bottom-3 {
  bottom: 0.75rem;
}

.bottom-\[50px\] {
  bottom: 50px;
}

.left-0 {
  left: 0px;
}

.left-10 {
  left: 2.5rem;
}

.left-5 {
  left: 1.25rem;
}

.left-8 {
  left: 2rem;
}

.left-\[12rem\] {
  left: 12rem;
}

.left-\[13rem\] {
  left: 13rem;
}

.left-\[14rem\] {
  left: 14rem;
}

.left-\[75px\] {
  left: 75px;
}

.left-\[calc\(50\%\+100px\)\] {
  left: calc(50% + 100px);
}

.right-0 {
  right: 0px;
}

.right-20 {
  right: 5rem;
}

.right-4 {
  right: 1rem;
}

.right-\[calc\(50\%\+70px\)\] {
  right: calc(50% + 70px);
}

.right-\[calc\(50\%\+80px\)\] {
  right: calc(50% + 80px);
}

.top-0 {
  top: 0px;
}

.top-14 {
  top: 3.5rem;
}

.top-8 {
  top: 2rem;
}

.top-\[140px\] {
  top: 140px;
}

.top-\[38px\] {
  top: 38px;
}

.-z-10 {
  z-index: -10;
}

.z-10 {
  z-index: 10;
}

.z-50 {
  z-index: 50;
}

.z-\[-1\] {
  z-index: -1;
}

.z-\[9999\] {
  z-index: 9999;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.-mb-\[0\.2px\] {
  margin-bottom: -0.2px;
}

.-ml-4 {
  margin-left: -1rem;
}

.-ml-5 {
  margin-left: -1.25rem;
}

.-ml-\[0\.2px\] {
  margin-left: -0.2px;
}

.-ml-\[calc\(var\(--padding-x\)\/2\)\] {
  margin-left: calc(calc(var(--padding-x) / 2) * -1);
}

.-mr-6 {
  margin-right: -1.5rem;
}

.-mr-\[var\(--padding-x\)\] {
  margin-right: calc(var(--padding-x) * -1);
}

.-mt-4 {
  margin-top: -1rem;
}

.-mt-40 {
  margin-top: -10rem;
}

.-mt-8 {
  margin-top: -2rem;
}

.-mt-\[1px\] {
  margin-top: -1px;
}

.mb-10 {
  margin-bottom: 2.5rem;
}

.mb-16 {
  margin-bottom: 4rem;
}

.mb-4 {
  margin-bottom: 1rem;
}

.ml-\[58px\] {
  margin-left: 58px;
}

.ml-\[66px\] {
  margin-left: 66px;
}

.ml-\[var\(--padding-x\)\] {
  margin-left: var(--padding-x);
}

.ml-auto {
  margin-left: auto;
}

.mt-10 {
  margin-top: 2.5rem;
}

.mt-16 {
  margin-top: 4rem;
}

.mt-3 {
  margin-top: 0.75rem;
}

.block {
  display: block;
}

.flex {
  display: flex;
}

.table {
  display: table;
}

.grid {
  display: grid;
}

.aspect-\[3\/4\] {
  aspect-ratio: 3/4;
}

.aspect-\[4\/3\] {
  aspect-ratio: 4/3;
}

.aspect-square {
  aspect-ratio: 1 / 1;
}

.h-10 {
  height: 2.5rem;
}

.h-12 {
  height: 3rem;
}

.h-14 {
  height: 3.5rem;
}

.h-16 {
  height: 4rem;
}

.h-20 {
  height: 5rem;
}

.h-24 {
  height: 6rem;
}

.h-7 {
  height: 1.75rem;
}

.h-8 {
  height: 2rem;
}

.h-\[1rem\] {
  height: 1rem;
}

.h-full {
  height: 100%;
}

.h-screen {
  height: 100vh;
}

.min-h-screen {
  min-height: 100vh;
}

.w-10 {
  width: 2.5rem;
}

.w-12 {
  width: 3rem;
}

.w-16 {
  width: 4rem;
}

.w-20 {
  width: 5rem;
}

.w-7 {
  width: 1.75rem;
}

.w-8 {
  width: 2rem;
}

.w-\[110px\] {
  width: 110px;
}

.w-\[120px\] {
  width: 120px;
}

.w-\[140px\] {
  width: 140px;
}

.w-\[200px\] {
  width: 200px;
}

.w-\[30vw\] {
  width: 30vw;
}

.w-\[80\%\] {
  width: 80%;
}

.w-\[90\%\] {
  width: 90%;
}

.w-\[calc\(100\%\+var\(--padding-x\)\)\] {
  width: calc(100% + var(--padding-x));
}

.w-\[calc\(100\%-var\(--padding-x\)\)\] {
  width: calc(100% - var(--padding-x));
}

.w-fit {
  width: -moz-fit-content;
  width: fit-content;
}

.w-full {
  width: 100%;
}

.max-w-\[100px\] {
  max-width: 100px;
}

.max-w-\[120px\] {
  max-width: 120px;
}

.max-w-\[140px\] {
  max-width: 140px;
}

.max-w-\[500px\] {
  max-width: 500px;
}

.shrink-0 {
  flex-shrink: 0;
}

.translate-y-\[-2rem\] {
  --tw-translate-y: -2rem;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.rotate-180 {
  --tw-rotate: 180deg;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.grid-cols-2 {
  grid-template-columns: repeat(2, minmax(0, 1fr));
}

.grid-cols-3 {
  grid-template-columns: repeat(3, minmax(0, 1fr));
}

.grid-cols-\[8rem_1fr\] {
  grid-template-columns: 8rem 1fr;
}

.flex-col {
  flex-direction: column;
}

.content-baseline {
  align-content: baseline;
}

.items-start {
  align-items: flex-start;
}

.items-end {
  align-items: flex-end;
}

.items-center {
  align-items: center;
}

.items-baseline {
  align-items: baseline;
}

.justify-center {
  justify-content: center;
}

.gap-1 {
  gap: 0.25rem;
}

.gap-16 {
  gap: 4rem;
}

.gap-2 {
  gap: 0.5rem;
}

.gap-4 {
  gap: 1rem;
}

.gap-6 {
  gap: 1.5rem;
}

.gap-8 {
  gap: 2rem;
}

.gap-x-4 {
  -moz-column-gap: 1rem;
       column-gap: 1rem;
}

.gap-y-6 {
  row-gap: 1.5rem;
}

.space-y-1 > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(0.25rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(0.25rem * var(--tw-space-y-reverse));
}

.space-y-10 > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(2.5rem * var(--tw-space-y-reverse));
}

.space-y-2 > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(0.5rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(0.5rem * var(--tw-space-y-reverse));
}

.space-y-4 > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(1rem * var(--tw-space-y-reverse));
}

.space-y-5 > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(1.25rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(1.25rem * var(--tw-space-y-reverse));
}

.space-y-6 > :not([hidden]) ~ :not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(1.5rem * var(--tw-space-y-reverse));
}

.overflow-hidden {
  overflow: hidden;
}

.overflow-x-hidden {
  overflow-x: hidden;
}

.whitespace-nowrap {
  white-space: nowrap;
}

.rounded-\[0_0_1rem_0\] {
  border-radius: 0 0 1rem 0;
}

.rounded-\[0_0_2\.5rem_0\] {
  border-radius: 0 0 2.5rem 0;
}

.rounded-\[0_2\.5rem_0_0\] {
  border-radius: 0 2.5rem 0 0;
}

.rounded-\[1rem_0_0_0\] {
  border-radius: 1rem 0 0 0;
}

.rounded-\[2\.5rem_0_0_0\] {
  border-radius: 2.5rem 0 0 0;
}

.rounded-\[5rem_0_0_0\] {
  border-radius: 5rem 0 0 0;
}

.rounded-full {
  border-radius: 9999px;
}

.rounded-md {
  border-radius: 0.375rem;
}

.rounded-xl {
  border-radius: 0.75rem;
}

.bg-\[--color-primary\] {
  background-color: var(--color-primary);
}

.bg-\[var\(--color-primary\)\] {
  background-color: var(--color-primary);
}

.bg-\[var\(--color-secondary\)\] {
  background-color: var(--color-secondary);
}

.bg-\[var\(--color-tertiary\)\] {
  background-color: var(--color-tertiary);
}

.bg-black {
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity, 1));
}

.bg-white {
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
}

.object-cover {
  -o-object-fit: cover;
     object-fit: cover;
}

.p-1 {
  padding: 0.25rem;
}

.px-2 {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

.px-4 {
  padding-left: 1rem;
  padding-right: 1rem;
}

.px-6 {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

.px-8 {
  padding-left: 2rem;
  padding-right: 2rem;
}

.py-1 {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.py-16 {
  padding-top: 4rem;
  padding-bottom: 4rem;
}

.py-2 {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.py-\[2px\] {
  padding-top: 2px;
  padding-bottom: 2px;
}

.py-\[3px\] {
  padding-top: 3px;
  padding-bottom: 3px;
}

.pb-10 {
  padding-bottom: 2.5rem;
}

.pb-12 {
  padding-bottom: 3rem;
}

.pb-16 {
  padding-bottom: 4rem;
}

.pb-40 {
  padding-bottom: 10rem;
}

.pb-6 {
  padding-bottom: 1.5rem;
}

.pb-8 {
  padding-bottom: 2rem;
}

.pb-\[1px\] {
  padding-bottom: 1px;
}

.pr-32 {
  padding-right: 8rem;
}

.pt-16 {
  padding-top: 4rem;
}

.pt-24 {
  padding-top: 6rem;
}

.pt-32 {
  padding-top: 8rem;
}

.pt-40 {
  padding-top: 10rem;
}

.text-center {
  text-align: center;
}

.text-2xl {
  font-size: 1.5rem;
  line-height: 2rem;
}

.text-3xl {
  font-size: 1.875rem;
  line-height: 2.25rem;
}

.text-4xl {
  font-size: 2.25rem;
  line-height: 2.5rem;
}

.text-6xl {
  font-size: 3.75rem;
  line-height: 1;
}

.text-\[10px\] {
  font-size: 10px;
}

.text-base {
  font-size: 1rem;
  line-height: 1.5rem;
}

.text-lg {
  font-size: 1.125rem;
  line-height: 1.75rem;
}

.text-sm {
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.text-xl {
  font-size: 1.25rem;
  line-height: 1.75rem;
}

.text-xs {
  font-size: 0.75rem;
  line-height: 1rem;
}

.font-semibold {
  font-weight: 600;
}

.leading-\[1\.5\] {
  line-height: 1.5;
}

.leading-\[1rem\!important\] {
  line-height: 1rem !important;
}

.text-\[var\(--color-primary\)\] {
  color: var(--color-primary);
}

.text-slate-900 {
  --tw-text-opacity: 1;
  color: rgb(15 23 42 / var(--tw-text-opacity, 1));
}

.text-white {
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}

.antialiased {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.opacity-0 {
  opacity: 0;
}

.transition-all {
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.duration-300 {
  transition-duration: 300ms;
}

:root {
  --color-primary: #EB5B3D;
  --color-secondary: #317CC1;
  --color-tertiary: #DCD6D2;
  --color-bg: #F6F3F1;
  --padding-x: 1rem;
}

@media (min-width: 768px) {
  :root {
    --padding-x: 2rem;
  }
}

@media (min-width: 1024px) {
  :root {
    --padding-x: 5vw;
    font-size: 1.2vw;
  }
}

html {
  background-color: var(--color-bg);
  font-family: "yu-gothic-pr6n", sans-serif;
  font-feature-settings: "palt";
}

.en {
  font-family: "helvetica-lt-pro", sans-serif;
}

p {
  font-size: 0.875rem;
  line-height: 2.0;
}

.font-border {
  -webkit-text-stroke-width: 0.04em;
  -webkit-text-stroke-color: var(--color-primary);
}

.font-border-b {
  text-shadow:
  1px 1px 0 var(--color-secondary),
  -1px -1px 0 var(--color-secondary),
  -1px 1px 0 var(--color-secondary),
  1px -1px 0 var(--color-secondary);
}

.font-border-w {
  -webkit-text-stroke-width: 0.04em;
  -webkit-text-stroke-color: white;
}

.swiper-tinder {
  overflow: visible!important;
}

.swiper-gallery .swiper-wrapper,
.swiper-gallery-reverse .swiper-wrapper {
  transition-timing-function: linear;
}

@keyframes marquee {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(calc(-100% / 3));
  }
}

.marquee-track {
  width: -moz-max-content;
  width: max-content;
  animation: marquee 20s linear infinite;
  will-change: transform;
}

@media (min-width: 1024px) {
  .marquee-track {
    animation: none;
    width: auto;
    will-change: auto;
  }

  .marquee-track > [aria-hidden="true"] {
    display: none;
  }
}

input, textarea, select {
  padding: 0.1rem 0.5rem;
  border-radius: 0.25rem;
}

.wpcf7-not-valid-tip {
  padding: 0 0.5rem;
}

.wpcf7-form-control.wpcf7-submit.has-spinner {
  display: block;
  width: 200px;
  margin: 1rem auto;
  padding: 0.3rem 0.5rem 0.25rem;
  border-radius: 0.25rem;
  background-color: var(--color-primary);
  color: white;
  font-weight: 600;
  font-size: 0.875rem;
  line-height: 1.25rem;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.header-nav.opened {
  display: flex;
  transform: translateY(0);
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

h2.wp-block-heading {
  font-size: 1.5rem;
  font-weight: 600;
  line-height: 1.2;
  margin-top: 3rem!important;
  margin-bottom: 1rem;
}

h3.wp-block-heading, h3.wp-block-accordion-heading {
  font-size: 1.25rem;
  font-weight: 600;
  line-height: 1.2;
  margin-top: 1.5rem!important;
  margin-bottom: 0.5rem;
}

ul.wp-block-list li {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 600;
  position: relative;
  padding-left: 0.5rem;
  margin-bottom: 0.25rem;
  &::before {
    content: "";
    position: absolute;
    top: calc(50% - 0.2rem);
    left: 0;
    width: 0.3rem;
    height: 0.3rem;
    background-color: var(--color-secondary);
    border-radius: 50%;
  }
  &:nth-child(2n)::before {
    background-color: var(--color-primary);
  }
}

.wp-block-separator {
  border-top: 1px solid var(--color-primary)!important;
}

.wp-block-archives-list li {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 600;
  position: relative;
  margin-bottom: 0.25rem;
}

.after\:block::after {
  content: var(--tw-content);
  display: block;
}

.after\:h-\[1px\]::after {
  content: var(--tw-content);
  height: 1px;
}

.after\:w-full::after {
  content: var(--tw-content);
  width: 100%;
}

.after\:bg-\[var\(--color-primary\)\]::after {
  content: var(--tw-content);
  background-color: var(--color-primary);
}

.after\:bg-\[var\(--color-secondary\)\]::after {
  content: var(--tw-content);
  background-color: var(--color-secondary);
}

.after\:bg-black::after {
  content: var(--tw-content);
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity, 1));
}

.after\:content-\[\'\'\]::after {
  --tw-content: '';
  content: var(--tw-content);
}

@media (min-width: 768px) {
  .md\:-left-\[40px\] {
    left: -40px;
  }

  .md\:-top-\[30px\] {
    top: -30px;
  }

  .md\:bottom-20 {
    bottom: 5rem;
  }

  .md\:bottom-\[20px\] {
    bottom: 20px;
  }

  .md\:left-\[calc\(50\%\+160px\)\] {
    left: calc(50% + 160px);
  }

  .md\:right-\[calc\(50\%\+100px\)\] {
    right: calc(50% + 100px);
  }

  .md\:top-\[120px\] {
    top: 120px;
  }

  .md\:mt-16 {
    margin-top: 4rem;
  }

  .md\:mt-8 {
    margin-top: 2rem;
  }

  .md\:aspect-\[3\/2\] {
    aspect-ratio: 3/2;
  }

  .md\:h-10 {
    height: 2.5rem;
  }

  .md\:w-\[170px\] {
    width: 170px;
  }

  .md\:w-\[300px\] {
    width: 300px;
  }

  .md\:grid-cols-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .md\:grid-cols-3 {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }

  .md\:grid-cols-\[auto_1fr\] {
    grid-template-columns: auto 1fr;
  }

  .md\:flex-row {
    flex-direction: row;
  }

  .md\:gap-x-12 {
    -moz-column-gap: 3rem;
         column-gap: 3rem;
  }

  .md\:px-8 {
    padding-left: 2rem;
    padding-right: 2rem;
  }

  .md\:py-24 {
    padding-top: 6rem;
    padding-bottom: 6rem;
  }

  .md\:py-4 {
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  .md\:pb-20 {
    padding-bottom: 5rem;
  }

  .md\:pt-24 {
    padding-top: 6rem;
  }

  .md\:text-2xl {
    font-size: 1.5rem;
    line-height: 2rem;
  }

  .md\:text-4xl {
    font-size: 2.25rem;
    line-height: 2.5rem;
  }

  .md\:text-6xl {
    font-size: 3.75rem;
    line-height: 1;
  }

  .md\:text-lg {
    font-size: 1.125rem;
    line-height: 1.75rem;
  }

  .md\:text-xs {
    font-size: 0.75rem;
    line-height: 1rem;
  }

  .md\:leading-\[1\.4\] {
    line-height: 1.4;
  }

  .md\:leading-\[1\.8\] {
    line-height: 1.8;
  }
}

@media (min-width: 1024px) {
  .lg\:relative {
    position: relative;
  }

  .lg\:-bottom-32 {
    bottom: -8rem;
  }

  .lg\:-left-\[3vw\] {
    left: -3vw;
  }

  .lg\:-left-\[5vw\] {
    left: -5vw;
  }

  .lg\:-left-\[6vw\] {
    left: -6vw;
  }

  .lg\:-left-\[calc\(3vw-0\.2px\)\] {
    left: calc(calc(3vw - 0.2px) * -1);
  }

  .lg\:-top-\[3vw\] {
    top: -3vw;
  }

  .lg\:-top-\[4vw\] {
    top: -4vw;
  }

  .lg\:-top-\[6vw\] {
    top: -6vw;
  }

  .lg\:-top-\[7vw\] {
    top: -7vw;
  }

  .lg\:-top-\[9vw\] {
    top: -9vw;
  }

  .lg\:bottom-\[0vw\] {
    bottom: 0vw;
  }

  .lg\:left-\[3vw\] {
    left: 3vw;
  }

  .lg\:left-\[4vw\] {
    left: 4vw;
  }

  .lg\:left-\[5\.8vw\] {
    left: 5.8vw;
  }

  .lg\:left-\[5vw\] {
    left: 5vw;
  }

  .lg\:left-\[calc\(50\%\+27vw\)\] {
    left: calc(50% + 27vw);
  }

  .lg\:left-\[unset\] {
    left: unset;
  }

  .lg\:right-\[3vw\] {
    right: 3vw;
  }

  .lg\:right-\[4vw\] {
    right: 4vw;
  }

  .lg\:right-\[5vw\] {
    right: 5vw;
  }

  .lg\:right-\[8vw\] {
    right: 8vw;
  }

  .lg\:right-\[calc\(50\%\+0vw\)\] {
    right: calc(50% + 0vw);
  }

  .lg\:right-\[calc\(50\%\+10vw\)\] {
    right: calc(50% + 10vw);
  }

  .lg\:right-\[calc\(50\%\+23vw\)\] {
    right: calc(50% + 23vw);
  }

  .lg\:top-\[25vw\] {
    top: 25vw;
  }

  .lg\:top-\[4\.8vw\] {
    top: 4.8vw;
  }

  .lg\:top-\[5vw\] {
    top: 5vw;
  }

  .lg\:top-\[7vw\] {
    top: 7vw;
  }

  .lg\:col-span-1 {
    grid-column: span 1 / span 1;
  }

  .lg\:mx-\[10vw\] {
    margin-left: 10vw;
    margin-right: 10vw;
  }

  .lg\:-ml-\[1vw\] {
    margin-left: -1vw;
  }

  .lg\:-mr-\[1vw\] {
    margin-right: -1vw;
  }

  .lg\:-mt-\[3vw\] {
    margin-top: -3vw;
  }

  .lg\:ml-\[4\.8vw\] {
    margin-left: 4.8vw;
  }

  .lg\:ml-\[5vw\] {
    margin-left: 5vw;
  }

  .lg\:ml-auto {
    margin-left: auto;
  }

  .lg\:mt-0 {
    margin-top: 0px;
  }

  .lg\:mt-\[3vw\] {
    margin-top: 3vw;
  }

  .lg\:grid {
    display: grid;
  }

  .lg\:h-\[1\.75rem\] {
    height: 1.75rem;
  }

  .lg\:h-\[2rem\] {
    height: 2rem;
  }

  .lg\:h-\[2vw\] {
    height: 2vw;
  }

  .lg\:h-\[3vw\] {
    height: 3vw;
  }

  .lg\:h-\[4vw\] {
    height: 4vw;
  }

  .lg\:h-\[5vw\] {
    height: 5vw;
  }

  .lg\:h-\[6vw\] {
    height: 6vw;
  }

  .lg\:h-\[8vw\] {
    height: 8vw;
  }

  .lg\:h-\[9vw\] {
    height: 9vw;
  }

  .lg\:w-\[1\.75rem\] {
    width: 1.75rem;
  }

  .lg\:w-\[10vw\] {
    width: 10vw;
  }

  .lg\:w-\[12vw\] {
    width: 12vw;
  }

  .lg\:w-\[15vw\] {
    width: 15vw;
  }

  .lg\:w-\[25vw\] {
    width: 25vw;
  }

  .lg\:w-\[2rem\] {
    width: 2rem;
  }

  .lg\:w-\[2vw\] {
    width: 2vw;
  }

  .lg\:w-\[3vw\] {
    width: 3vw;
  }

  .lg\:w-\[4vw\] {
    width: 4vw;
  }

  .lg\:w-\[5vw\] {
    width: 5vw;
  }

  .lg\:w-\[6vw\] {
    width: 6vw;
  }

  .lg\:w-\[8vw\] {
    width: 8vw;
  }

  .lg\:w-\[calc\(100\%\+1vw\)\] {
    width: calc(100% + 1vw);
  }

  .lg\:w-full {
    width: 100%;
  }

  .lg\:max-w-\[50vw\] {
    max-width: 50vw;
  }

  .lg\:max-w-\[none\] {
    max-width: none;
  }

  .lg\:grid-cols-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .lg\:grid-cols-4 {
    grid-template-columns: repeat(4, minmax(0, 1fr));
  }

  .lg\:grid-cols-\[9fr_11fr\] {
    grid-template-columns: 9fr 11fr;
  }

  .lg\:flex-col {
    flex-direction: column;
  }

  .lg\:items-start {
    align-items: flex-start;
  }

  .lg\:gap-0 {
    gap: 0px;
  }

  .lg\:gap-4 {
    gap: 1rem;
  }

  .lg\:gap-\[1vw\] {
    gap: 1vw;
  }

  .lg\:gap-y-8 {
    row-gap: 2rem;
  }

  .lg\:space-y-8 > :not([hidden]) ~ :not([hidden]) {
    --tw-space-y-reverse: 0;
    margin-top: calc(2rem * calc(1 - var(--tw-space-y-reverse)));
    margin-bottom: calc(2rem * var(--tw-space-y-reverse));
  }

  .lg\:overflow-visible {
    overflow: visible;
  }

  .lg\:rounded-\[0_0_2rem_0\] {
    border-radius: 0 0 2rem 0;
  }

  .lg\:rounded-\[2rem_0_0_0\] {
    border-radius: 2rem 0 0 0;
  }

  .lg\:px-16 {
    padding-left: 4rem;
    padding-right: 4rem;
  }

  .lg\:px-8 {
    padding-left: 2rem;
    padding-right: 2rem;
  }

  .lg\:px-\[10vw\] {
    padding-left: 10vw;
    padding-right: 10vw;
  }

  .lg\:px-\[15vw\] {
    padding-left: 15vw;
    padding-right: 15vw;
  }

  .lg\:px-\[20vw\] {
    padding-left: 20vw;
    padding-right: 20vw;
  }

  .lg\:px-\[5vw\] {
    padding-left: 5vw;
    padding-right: 5vw;
  }

  .lg\:py-1 {
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
  }

  .lg\:py-40 {
    padding-top: 10rem;
    padding-bottom: 10rem;
  }

  .lg\:pr-0 {
    padding-right: 0px;
  }

  .lg\:pr-\[5vw\] {
    padding-right: 5vw;
  }

  .lg\:pt-48 {
    padding-top: 12rem;
  }

  .lg\:pt-\[10vw\] {
    padding-top: 10vw;
  }

  .lg\:pt-\[8vw\] {
    padding-top: 8vw;
  }

  .lg\:text-start {
    text-align: start;
  }

  .lg\:text-2xl {
    font-size: 1.5rem;
    line-height: 2rem;
  }

  .lg\:text-4xl {
    font-size: 2.25rem;
    line-height: 2.5rem;
  }

  .lg\:text-6xl {
    font-size: 3.75rem;
    line-height: 1;
  }

  .lg\:text-8xl {
    font-size: 6rem;
    line-height: 1;
  }

  .lg\:text-base {
    font-size: 1rem;
    line-height: 1.5rem;
  }

  .lg\:text-lg {
    font-size: 1.125rem;
    line-height: 1.75rem;
  }
}